//
// Main program for 2D RCS calculation (see README)
// version 1.2.2002
// (c) 2002 Ingo D. Rullhusen <d01c@uni-bremen.de>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//

#include <iostream.h>

#include "input_data.h"
#include "main_data.h"


int main( int argc, char *argv[] )
{
   cout << "WaitCyl version (" << VERSION << ")" << endl;
   cout << "Copyright (C) 2002 Ingo D. Rullhusen" << endl;
   cout << endl;

   cout << " This program is free software; you can redistribute it and/or modify" << endl;
   cout << " it under the terms of the GNU General Public License as published by" << endl;
   cout << " the Free Software Foundation; either version 2 of the License, or" << endl;
   cout << " (at your option) any later version." << endl;
   cout << endl;
   cout << " This program is distributed in the hope that it will be useful," << endl;
   cout << " but WITHOUT ANY WARRANTY; without even the implied warranty of"<< endl;
   cout << " MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the" << endl;
   cout << " GNU General Public License for more details." << endl;
   cout << endl;

   InputData idata( argc, argv );

   cout << "Input values with assigned options:" << endl;
   cout << endl;
   idata.out();

   MainData data( idata );

   data.ffout( idata );
   cout << endl;

   cout << "Ez: " << data.Eout( idata ) << endl;
   cout << endl;

   cout << "End." << endl;
   return(0);
}
