//
// Class to get and store input data
// version 1.2.2002
// (c) 2002 Ingo D. Rullhusen <d01c@uni-bremen.de>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//

#ifndef __input_data_h
#define __input_data_h

#include <complex.h>

class InputData
{
   public:

      int max_n, ffno;
//
// max_n : maximum sum index
// ffno  : number of far-field samples
//

      double a, freq, theta_inc, phi, rho, z;
//
// a         : radius of the cylinder
// freq      : frequency
// theta_inc : incident angle to the negative z axis
//

      complex<double> eps_r_1, eps_r_2, my_r_1, my_r_2;
//
// eps_r_1 : relative permitivity outside
// eps_r_2 : relative permitivity inside
// my_r_1  : relative permeability outside
// my_r_2  : relative permeability inside
//

      complex<double> E_ampl;
//
// E_ampl : amplitude of incident plane wave
//

      char* ff_file;
//
// ff_file : file name for far-field output
//

      InputData( int argc, char *argv[] );
      ~InputData();

      void out();

};

#endif
