//
// Class to compute and store main data
// version 1.2.2002
// (c) 2002 Ingo D. Rullhusen <d01c@uni-bremen.de>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
//

#ifndef __main_data_h
#define __main_data_h

#include <complex.h>

#include "input_data.h"

class MainData
{
   public:

      int nmax;
      double omega, sinth, costh;
      complex<double> *asn, *bsn, beta1, my2, beta2;
      complex<double> *an, *bn;
//
// nomenclature see James R. Wait
//

      MainData( InputData );
      ~MainData();

      void ffout( InputData );
      
      complex<double> Eout( InputData );

   private:
      complex<double> *asn_alloc, *bsn_alloc;
      complex<double> *an_alloc, *bn_alloc;
};

#endif
